<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8" />
  <meta name="viewport" content="width=device-width, initial-scale=1.0" />
  <meta http-equiv="X-UA-Compatible" content="ie=edge" />
  <link href="https://fonts.googleapis.com/css?family=Megrim|Nunito+Sans:400,900" rel="stylesheet" />
  <link rel="icon"
    href="https://emojipedia-us.s3.dualstack.us-west-1.amazonaws.com/thumbs/240/apple/155/ear-of-maize_1f33d.png" />

  <title>{%PRODUCT_NAME%} {%IMAGE%} /// NODE FARM</title>

  <style>
    *,
    *::before,
    *::after {
      margin: 0;
      padding: 0;
      box-sizing: inherit;
    }

    html {
      font-size: 62.5%;
      box-sizing: border-box;
    }

    body {
      padding: 5rem 5rem 10rem;
      line-height: 1.7;
      font-family: 'Nunito Sans', sans-serif;
      color: #555;
      min-height: 100vh;
      background: linear-gradient(to bottom right, #9be15d, #00e3ae);
    }

    h1 {
      font-family: 'Megrim', sans-serif;
      font-size: 6rem;
      color: white;
      transform: skewY(-5deg);
      text-align: center;
      position: relative;
      word-spacing: 3px;
    }

    h1::before {
      content: '';
      display: block;
      height: 65%;
      width: 49%;
      position: absolute;
      top: 105%;
      left: 50%;
      background: linear-gradient(to bottom, #9be15d, #00e3ae);
      opacity: 0.8;
      z-index: -1;
      transform: skewY(370deg) translate(-50%, -50%);
    }

    .container {
      width: 95rem;
      margin: 0 auto;
    }

    .product {
      width: 60rem;
      margin: 0 auto;
      margin-top: 9rem;
      background: white;
      box-shadow: 0 3rem 6rem 1rem rgba(0, 0, 0, 0.2);
      position: relative;
    }

    .product__hero {
      position: relative;
      height: 22rem;
      overflow: hidden;
    }

    .product__hero::before {
      content: '';
      display: block;
      height: 100%;
      width: 100%;
      position: absolute;
      top: 0;
      left: 0;
      background-image: linear-gradient(to left bottom, #9be15d, #00e3ae);
      opacity: 0.5;
      z-index: 100;
    }

    .product__emoji {
      font-size: 15rem;
      position: absolute;
    }

    .product__emoji--1 {
      top: -4rem;
      left: -2rem;
      z-index: 10;
    }

    .product__emoji--2 {
      top: -6rem;
      left: 9rem;
    }

    .product__emoji--3 {
      top: -4rem;
      right: 15rem;
    }

    .product__emoji--4 {
      top: -5rem;
      right: 2rem;
      z-index: 10;
    }

    .product__emoji--5 {
      bottom: -9rem;
      left: 18rem;
    }

    .product__emoji--6 {
      bottom: -8rem;
      left: 5rem;
    }

    .product__emoji--7 {
      bottom: -12rem;
      right: 14rem;
    }

    .product__emoji--8 {
      bottom: -8rem;
      right: -2rem;
    }

    .product__emoji--9 {
      top: -7rem;
      left: 19rem;
    }

    .product__organic {
      position: absolute;
      top: -4rem;
      right: -4rem;
      z-index: 1000;
      height: 11rem;
      width: 11rem;
      background-image: linear-gradient(to bottom, #9be15d, #00e3ae);
      border-radius: 50%;
      transform: rotate(15deg);
      box-shadow: 0 2rem 4rem rgba(0, 0, 0, 0.4);
      display: flex;
      align-items: center;
      justify-content: center;
    }

    .product__organic h5 {
      font-weight: 900;
      text-transform: uppercase;
      font-size: 1.8rem;
      color: white;
    }

    .product__back:link,
    .product__back:visited {
      position: absolute;
      top: 2rem;
      left: 2rem;
      font-size: 1.5rem;
      font-weight: 700;
      text-transform: uppercase;
      text-decoration: none;
      z-index: 1000;
      color: #555;
      background-color: white;
      box-shadow: 0 1rem 3rem rgba(0, 0, 0, 0.3);
      border-radius: 100rem;
      padding: 0 2rem;
      transition: all 0.3s;
      display: flex;
      align-items: center;
    }

    .product__back:hover,
    .product__back:active {
      background-color: #79e17b;
    }

    .product__name {
      background: linear-gradient(to bottom, #9be15d, #00e3ae);
      padding: 1rem;
      font-family: 'Megrim', sans-serif;
      font-size: 4rem;
      color: white;
      text-align: center;
      word-spacing: 2px;
    }

    .product__details {
      background-color: #eee;
      padding: 4rem 6rem;
      font-size: 1.9rem;
      display: grid;
      grid-template-columns: 1fr 1fr;
      grid-gap: 1.5rem;
    }

    .product__description {
      padding: 5rem 6rem;
      font-size: 1.6rem;
      line-height: 1.8;
    }

    .product__link:link,
    .product__link:visited {
      display: block;
      background-color: #79e17b;
      color: white;
      font-size: 1.6rem;
      font-weight: 700;
      text-transform: uppercase;
      text-decoration: none;
      padding: 1.5rem;
      text-align: center;
      transform: scale(1.07) skewX(-20deg);
      box-shadow: 0 2rem 6rem rgba(0, 0, 0, 0.2);
      display: flex;
      align-items: center;
      justify-content: center;
      transition: all 0.3s;
    }

    .product__link:hover,
    .product__link:active {
      background-color: #9be15d;
      transform: scale(1.1) skewX(-20deg);
    }

    .product__link span {
      transform: skewX(20deg);
    }

    .emoji-left {
      font-size: 2rem;
      margin-right: 1rem;
    }

    .emoji-right {
      font-size: 2rem;
      margin-left: 1rem;
    }

    .not-organic {
      display: none;
    }
  </style>
</head>

<body>
  <div class="container">
    <h1>🌽 Node Farm 🥦</h1>

    <figure class="product">
      <div class="product__organic {%NOT_ORGANIC%}">
        <h5>Organic</h5>
      </div>
      <a href="/overview" class="product__back">
        <span class="emoji-left">👈</span>Back
      </a>
      <div class="product__hero">
        <span class="product__emoji product__emoji--1">{%IMAGE%}</span>
        <span class="product__emoji product__emoji--2">{%IMAGE%}</span>
        <span class="product__emoji product__emoji--3">{%IMAGE%}</span>
        <span class="product__emoji product__emoji--4">{%IMAGE%}</span>
        <span class="product__emoji product__emoji--5">{%IMAGE%}</span>
        <span class="product__emoji product__emoji--6">{%IMAGE%}</span>
        <span class="product__emoji product__emoji--7">{%IMAGE%}</span>
        <span class="product__emoji product__emoji--8">{%IMAGE%}</span>
        <span class="product__emoji product__emoji--9">{%IMAGE%}</span>
      </div>
      <h2 class="product__name">{%PRODUCT_NAME%}</h2>
      <div class="product__details">
        <p><span class="emoji-left">🌍</span> From {%FROM%}</p>
        <p><span class="emoji-left">❤️</span> {%NUTRIENTS%}</p>
        <p><span class="emoji-left">📦</span> {%QUANTITY%}</p>
        <p><span class="emoji-left">🏷</span> {%PRICE%} $</p>
      </div>

      <a href="/overview" class="product__link">
        <span class="emoji-left">🛒</span>
        <span>Add to shopping card {%PRICE%} $</span>
      </a>

      <p class="product__description">
        {%DESCRIPTION%}
      </p>
    </figure>

  </div>
</body>

</html>